Bug Hunting Session
Bug 103974 - List/ComboBox: CTRL-A for "select all" does not update SelectedValue(s)/Items property
Summary: List/ComboBox: CTRL-A for "select all" does not update SelectedValue(s)/Items...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Button-Controls
  Show dependency treegraph
 
Reported: 2016-11-17 10:06 UTC by Paulo Martins
Modified: 2018-09-27 20:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paulo Martins 2016-11-17 10:06:18 UTC
Description:
Consider a ListBox or ComboBox that has several entries and has MultiSelection property to TRUE. 


Steps to Reproduce:
Click on one entry. Press CTRL-A. All entries are shown as selected (in blue).


Actual Results:  
Now examine properties SelectedValue, SelectedValues and SelectedItems. They show only the single initial selected value.

Expected Results:
These properties should all be updated.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Paulo Martins 2016-11-17 10:06:47 UTC
(confirmed by Lionel)
Comment 2 Xisco Faulí 2017-06-07 20:17:41 UTC
You can't confirm youself a bug.
Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version.
Comment 3 Lionel Elie Mamane 2017-06-08 05:53:39 UTC
Bug confirmed, even in my development tree.
Comment 4 QA Administrators 2018-06-09 02:40:50 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug